=== debian/changelog ===
iptables (1.3.6.0debian1-5) unstable; urgency=high

  * cleaned dirty iptables/, fixes diff bloat and compilation problems 
    Reported by Jan Wanger. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 22 Nov 2006 22:42:21 -0500

iptables (1.3.6.0debian1-4) unstable; urgency=high

  * fixes errant /etc/{hosts,networks} entry padding. Reported by John 
    Darrah and fixed by Pablo Neira Ayuso. Thanks. closes: #398082

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Nov 2006 21:51:18 -0500

iptables (1.3.6.0debian1-3) unstable; urgency=high

  * fixes broken rename-chain option in iptables and ip6tables. Reported
    by Martin Clauss and Simon Natterer. Fixed by Krzysztof Oledzki.
    Thanks. closes: #397012

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  9 Nov 2006 05:58:51 -0500

iptables (1.3.6.0debian1-2) unstable; urgency=low

  * physdev-truncated.man.patch: fixed misssed instance of the error
  * debian/rules: fixed manpage mangling and moved it to scripts/manregex
  * iptables.8: added missing ipt_recent match arguments

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 29 Oct 2006 14:03:13 -0500

iptables (1.3.6.0debian1-1) unstable; urgency=low

  * New upstream release
  * synched with upstream SVN 2006-10-21
    + fixed "wierd" spelling error in iptables.c
    + fixed iptables segfault when given empty --log-prefix
    + adds revision support to ip6tables
    + adds support port range match to libip6t_multiport
    + adds endian annotation types to fix compilation for
      kernels > 2.6.18
  * ipv6 updates in SVN by Rémi Denis-Courmont fixes the ip6tables port
    range bug reported by Alexander Dreweke. Thanks. closes: #329775
  * debian/control: added info about missing kernel extensions
  * bumped standards version to 3.7.2, no changes
  * updated to patch-o-matic-ng-20061021 source
  * updated to kernel 2.6.18 source, closes: #393138
    + renames icmpv6 extension to icmp6
    + adds connbytes, quota and statistic extensions
  * enabled SELinux support and added build dependency on libselinux1-dev
    + adds SECMARK and CONNSECMARK extensions
  * iptables/Rules.make: link shared SE libs with gcc
  * added numerous manpage fixes
  * debian/changelog: missing leading dash, lintian cleanup
  * removed pomng iprange patch, migrated upstream to linux kernel
  * removed weird_character.patch, fixed upstream
  * removed weird_spelling.patch, fixed upsteam in 1.3.6 and SVN
  * removed link_with_gcc.patch, fixed upstream
  * removed esp-test6.patch, fixed upstream
  * removed atomic_t_silly_hack.patch, code moved somewhere or another

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 27 Oct 2006 19:39:57 -0400

iptables (1.3.5.0debian1-1) unstable; urgency=low

  * New upstream release
    + added ipv6 state match support
    + updated IPsec (policy match) support
    + added in-kernel string match support
    + fixed ipv6 owner match
    + read upstream changelog v1.3.4 and v1.3.5 entries for more
  * updated to Linux kernel 2.6.17 source
  * updated to patch-o-matic-ng-20060812 source
  * combined upstream sources into an orig.tar.gz
  * removed build time patching and prep.sh script
  * removed Suggests: iproute
  * removed bzip2 and html2text build dependencies
  * removed ippool, deprecated
  * removed example script directory, unmaintained examples
  * removed README.Debian, too confusing
  * removed debian/iptables.postinst
  * pomng kernel extensions removed upstream: IPMARK, NETLINK, TCPLAG,
    XOR, account, condition, dstlimit, fuzzy, geoip, ip6t_ULOG, ipp2p,
    mport, nth, osf, pool, psd, quota, random, time
  * replaced debian/copyright GPL paste with stubs
  * updated debian/copyright source URLs
  * Thanks for the invaluable help Rémi Denis-Courmont.

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 20 Aug 2006 21:29:33 -0400

iptables (1.3.3-2) unstable; urgency=low

  * added pomng exclude hack to prep.sh
  * excluded pomng's ip_queue_vwmark. Thanks ubuntu.
  * updated README.Debian
  * removed Suggests for ipmasq

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Aug 2005 18:01:31 -0400

iptables (1.3.3-1) unstable; urgency=low

  * New upstream release 

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  4 Aug 2005 22:08:27 -0400

iptables (1.3.2-1) unstable; urgency=low

  * New upstream release
  * removed libipt_physdev.c and libip6t_physdev.c from weird_*.patch

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 24 Jul 2005 21:03:39 -0400

iptables (1.3.1-2) unstable; urgency=low

  * added missing 2.6.12 kernel headers
  * added libip6t_physdev.c to weird_spelling.patch
  * added libip6t_physdev.c to weird_character.patch
  * updated README.Debian, removed dead firewall package names
    and added a disclaimer about such packages, closes: #307934
  * removed iptables-dev's build dependency on iptables, closes: #288193

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Jun 2005 19:15:36 -0400

iptables (1.3.1-1) unstable; urgency=low

  * New upstream release, closes: #299638
  * build with 2.6.12 kernel source and patch-o-matic-ng-20050618
  * hashlimit module added upstream, closes: #312374
  * removed example ppp scripts, closes: #287346

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 18 Jun 2005 20:45:11 -0400

iptables (1.2.11-10) unstable; urgency=medium

  * fixed scripts/prep.sh: patching and patch ordering
  * fixed a bashism reported by Geller Sandor in Bug#283822. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  1 Dec 2004 19:11:34 -0500

iptables (1.2.11-9) unstable; urgency=medium                                                                                      
                                                                                                                                  
  * another prep.sh tweak for patch ordering                                                                                      

